<template>
    <!-- 全局图片预览 -->
    <up-album
        v-if="fileList.length"
        :urls="fileList"
        :keyName="keyName"
        :singleSize="getSingleSize"
        :multipleSize="getMultipleSize"
        :singleMode="singleMode"
        :multipleMode="multipleMode"
    ></up-album>
</template>

<script setup>
import { computed } from 'vue'

const ps = defineProps({
    fileList: {
        type: Array,
        default: () => {
            return []
        }
    },
    keyName: {
        type: String,
        default: 'fileUrl'
    },
    singleSize: {
        type: Number,
        default: 654
    },
    multipleSize: {
        type: Number,
        default: 654
    },
    singleMode: {
        type: String,
        default: 'widthFix'
    },
    multipleMode: {
        type: String,
        default: 'widthFix'
    }
})
const getSingleSize = computed(() => {
    return ps.singleSize + 'rpx'
})
const getMultipleSize = computed(() => {
    return ps.multipleSize + 'rpx'
})
</script>
<style lang="scss" scoped></style>
